/*!
* @file Quest.h
* @brief クエストのプロトタイプ
* @date 2013/12/11
* @author Deskull
* 2013 Sikabane Works.
*/

#include "stdafx.h"
#include "GameElement.h"

#pragma once

namespace Deeangband
{

	/*! 
	* @class Quest
	* @brief クエストのクラス
	*/
	class Quest : public GameElement
	{

	private:

		std::string name; //!< クエスト名


		/*!
		* @brief クラスのシリアライズを設定する
		* @param archive アーカイブ化するクラスのアドレス
		* @param version ファイルバージョン
		* @return XMLSerializeテンプレート
		*/
		template<class Archive> void serialize(Archive &archive, const unsigned int version) 
		{
			if(version >= 0)
			{
			}
		}

	public:

		/*! 
		* @brief Questクラスコンストラクタ
		*/
		Quest::Quest(void);

		/*! 
		* @brief Questクラスデストラクタ
		*/
		Quest::~Quest(void);

		/*! 
		* @brief ダミーデータによる初期化
		* @return なし
		*/
		void Quest::WipeData(void);

	};

}

